# $Revision: 1.13 $, $Date: 2011/04/06 12:48:19 $
Summary:	Galago library
Summary(pl.UTF-8):	Biblioteka Galago
Name:		libgalago
Version:	0.5.2
Release:	2
License:	LGPL v2.1+
Group:		Applications/System
Source0:	http://www.galago-project.org/files/releases/source/libgalago/%{name}-%{version}.tar.bz2
# Source0-md5:	47f27f58dd8b0e46d9d2e037c51063ed
Patch0:		pkgconfig.patch
URL:		http://www.galago-project.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dbus-devel >= 0.71
BuildRequires:	dbus-glib-devel >= 0.71
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel >= 0.18.1
BuildRequires:	glib2-devel >= 1:2.12.1
BuildRequires:	gtk-doc >= 1.7
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	dbus-glib >= 0.71
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgalago is a part of Galago Project (D-BUS-based desktop presence
framework).

%description -l pl.UTF-8
libgalago jest częścią Projektu Galago (bazowany na D-BUSie szkielet
stanu obecności).

%package devel
Summary:	libgalago header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgalago
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-glib-devel >= 0.71

%description devel
Header files for libgalago-based programs development.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów opartych o libgalago.

%package static
Summary:	Static libgalago library
Summary(pl.UTF-8):	Statyczna biblioteka libgalago
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgalago library.

%description static -l pl.UTF-8
Statyczna biblioteka libgalago.

%package apidocs
Summary:	libgalago API documentation
Summary(pl.UTF-8):	Dokumentacja API libgalago
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libgalago API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libgalago.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/galago

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/autopackage
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_libdir}/libgalago.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libgalago.so.3
%dir %{_libdir}/galago

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgalago.so
%{_pkgconfigdir}/libgalago.pc
%{_includedir}/libgalago

%files static
%defattr(644,root,root,755)
%{_libdir}/libgalago.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgalago.spec,v $
Revision 1.13  2011/04/06 12:48:19  wiget
- fix pkgconfig file on x86_64
- drop glib_gettextize call (plain gettext used)
- some BR fixes
- drop libtool file
- more verbose %file
- rel. 2

Revision 1.12  2009/11/28 01:35:26  sparky
- BR: docbook-dtd412-xml

Revision 1.11  2007/12/18 06:06:06  aredridel
- add directory for feed components

Revision 1.10  2007/02/13 11:14:21  patrys
- 0.5.2

Revision 1.9  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.7  2007/01/16 08:40:30  qboosh
- unified: *toolize in build not prep
- BR: gettext-devel (but is gettextize after glib-gettextize needed?)

Revision 1.6  2007/01/15 21:50:00  qrczak
- gettextize
- Release 4

Revision 1.5  2006/08/10 16:50:49  freetz
- apidocs subpkg

Revision 1.4  2006/08/10 16:48:27  freetz
- rel.3 for rebuild with new dbus

Revision 1.3  2006/07/15 20:37:22  freetz
- rel.2, --as-needed support, switched to bz2 tarball

Revision 1.2  2006/07/05 17:30:52  freetz
- 0.5.1, updated deps, full am/ac/lt rebuild

Revision 1.1  2005/11/19 18:32:11  freetz
- initial

